#include <ESP32Servo.h>
Servo myservo1;
Servo myservo2;  // create servo object to control a servo
// 16 servo objects can be created on the ESP32
// Recommended PWM GPIO pins on the ESP32 include 2,4,12-19,21-23,25-27,32-33 
// Possible PWM GPIO pins on the ESP32-S2: 0(used by on-board button),1-17,18(used by on-board LED),19-21,26,33-42
// Possible PWM GPIO pins on the ESP32-S3: 0(used by on-board button),1-21,35-45,47,48(used by on-board LED)
// Possible PWM GPIO pins on the ESP32-C3: 0(used by on-board button),1-7,8(used by on-board LED),9-10,18-21
#if defined(CONFIG_IDF_TARGET_ESP32S2) || defined(CONFIG_IDF_TARGET_ESP32S3)
int servoPin = 17;
#elif defined(CONFIG_IDF_TARGET_ESP32C3)
//Servomotors
int servoPin1 = D4; //
int servoPin2 = D5; //
#else
int servoPin = 18;
#endif

void openDoor(){
  myservo1.write(0);
  myservo2.write(90);
  delay(25);
}

void closeDoor(){
  myservo1.write(90);
  myservo2.write(0);
  delay(25);
}

void setup() {
    // Initialize Serial Monitor
    Serial.begin(115200);
    // Allow allocation of all timers
    ESP32PWM::allocateTimer(0);
    ESP32PWM::allocateTimer(1);
    ESP32PWM::allocateTimer(2);
    ESP32PWM::allocateTimer(3);
    myservo1.setPeriodHertz(50);    // standard 50 hz servo
    myservo2.setPeriodHertz(50);
    myservo1.attach(servoPin1, 500, 2500); // attaches the servo on pin 18 to the servo object
    myservo2.attach(servoPin2, 500, 2500);
    // using default min/max of 1000us and 2000us
    // different servos may require different min/max settings
    // for an accurate 0 to 180 sweep
    
    //Initial conditions
    myservo1.write(90);
    myservo2.write(0);
    delay(25);
    digitalWrite(enaPin, HIGH);
}

